%global         srcname         svg2tikz
%global         forgeurl        https://github.com/xyz2tex/svg2tikz
Version:        2.1.0
%global         tag             v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        1%{?dist}
Summary:        Convert SVG to TikZ/PGF code

License:        GPL-2.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}


BuildRequires:  python3-devel
BuildRequires:  gobject-introspection-devel
Requires:       xclip

BuildArch: noarch

%global _description %{expand:
SVG2TikZ, formally known as Inkscape2TikZ, are a set of tools for
converting SVG graphics to TikZ/PGF code.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%forgeautosetup

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%{py3_test_envvars} %{python3} -m unittest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
 
%changelog
* Thu Sep 07 2023 Benson Muite <benson_muite@emailplus.org> - 2.1.0-1
- Initial packaging
